# Interface Project

#### Hierarchy

- Project

- Defined in packages/db/typings/schema.d.ts:709

#####
Index

### Properties

contract
contractInstance
contractInstances
contracts
directory
id
network
networks
resolve
type

## Properties

### contract

contract: null | DataModel.Contract

- Defined in packages/db/typings/schema.d.ts:711

### contractInstance

contractInstance: null | ContractInstance

- Defined in packages/db/typings/schema.d.ts:715

### contractInstances

contractInstances: ContractInstance[]

- Defined in packages/db/typings/schema.d.ts:716

### contracts

contracts: DataModel.Contract[]

- Defined in packages/db/typings/schema.d.ts:712

### directory

directory: string

- Defined in packages/db/typings/schema.d.ts:710

### id

id: string

- Defined in packages/db/typings/schema.d.ts:718

### network

network: null | DataModel.Network

- Defined in packages/db/typings/schema.d.ts:713

### networks

networks: DataModel.Network[]

- Defined in packages/db/typings/schema.d.ts:714

### resolve

resolve: null | NameRecord[]

- Defined in packages/db/typings/schema.d.ts:717

### type

type: string

- Defined in packages/db/typings/schema.d.ts:719

Generated using TypeDoc